import {createEffect} from "solid-js";

import styles from "./input.module.css";

export default function ArithOp(props) {
    let {value, setValue} = props;
    let select;

    createEffect(() => {
        select.value = value();
    });

    return (<select class={styles.select} title="ArithOp" ref={select} onChange={() => setValue(select.value)}>
        <option value="Add" default>+ Add</option>
        <option value="Sub">- Subtract</option>
        <option value="Mul">* Multiply</option>
        <option value="Div">/ Divide</option>
        <option value="Mod">% Modulo</option>
    </select>);
}
