import {createEffect} from "solid-js";

import styles from "./input.module.css";

export default function Bool(props) {
    let {value, setValue} = props;

    return (<input
        type="checkbox"
        class={styles.input}
        checked={value()}
        onChange={(evt) => setValue(!!evt.currentTarget.checked)}
    />);
}
