#[allow(unused_imports)]
use stackline::prelude::*;
use stackline::signal;
mod common;

#[test]
fn test_if() {
    let mut world = load_test!("tests/logic/if.json");
    world.init();

    world.set_signal((0, 0), signal!([-1, 0]));

    run!(world, 8);

    assert_stored!(world, 1, 2);
    assert_no_stored!(world, 2, 2);

    let mut world = load_test!("tests/logic/if.json");
    world.init();

    world.set_signal((0, 0), signal!([-1, 1]));

    run!(world, 8);

    assert_no_stored!(world, 1, 2);
    assert_stored!(world, 2, 2);
}
