/* @refresh reload */
import { render } from 'solid-js/web';

import './index.css';
import Editor from './Editor';

import init from "../stackline-wasm/stackline_wasm.js";

import {init as LeftPane_init} from "./LeftPane.jsx";

await init();
let font = await (new FontFace("Stackline Classic", "url(\"/font/StacklineClassic-Medium.otf\")")).load();
document.fonts.add(font);

LeftPane_init();

render(() => <Editor />, document.getElementById('root'));
