import {createEffect} from "solid-js";

import styles from "./input.module.css";

export default function CmpOp(props) {
    let {value, setValue} = props;
    let select;

    createEffect(() => {
        select.value = value();
    });

    return (<select class={styles.select} title="CmpOp" ref={select} onChange={() => setValue(select.value)}>
        <option value="Eq" default>= Equals</option>
        <option value="Neq">≠ Not equals</option>
        <option value="Lt">&lt; Less than</option>
        <option value="Lte">≤ Less or equal</option>
        <option value="Gt">&gt; Greater than</option>
        <option value="Gte">≥ Greater or equal</option>
    </select>);
}
