import {createEffect} from "solid-js";

import styles from "./input.module.css";

export default function Number(props) {
    let {value, setValue} = props;
    let select;

    return (<input
        type="number"
        class={styles.input}
        value={value()}
        min={props.min}
        max={props.max}
        onChange={(evt) => setValue(+evt.currentTarget.value)}
    />);
}
