import {createEffect} from "solid-js";

import styles from "./input.module.css";

export default function Orientation(props) {
    let {value, setValue} = props;
    let select;

    createEffect(() => {
        select.value = value();
    });

    return (<select class={styles.select} title="Orientation" ref={select} onChange={() => setValue(select.value)}>
        <Show when={!props.not_any}><option value="Any" default>Any</option></Show>
        <option value="Vertical">Vertical</option>
        <option value="Horizontal">Horizontal</option>
    </select>);
}
